<?php

namespace FM\Controller;

use FM\Controller\FMCrud;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use FM\Service\QrCodeService;
use FM\Traits\TResponse;

class QrCodeController extends FMCrud {

    use TResponse;
    
    protected $QrCodeService;

    public function __construct($crudService, $environment, QrCodeService $QrCodeService) {
        parent::__construct($crudService, $environment);
        $this->QrCodeService = $QrCodeService;
        $this->Environment = $environment;
    }
    
    public function buscaTarefasPorOperador(Request $request, Response $response){
        try {
            $data = $this->QrCodeService->buscaTarefasPorOperador($request->getParameters());
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }
}

?>