CREATE OR REPLACE TRIGGER STATUS_LOTECTB_BAIXARECEBIDA BEFORE DELETE ON BAIXARECEBIDA
FOR EACH ROW
DECLARE
  V_CDLOTE VARCHAR2(20);
  V_NRLANCLOTE VARCHAR2(06);
  V_DTINICCTBL DATE;
  V_DTFINACCTBL DATE;
  V_IDTPGERACAOCONT VARCHAR2(2);
BEGIN
   BEGIN
      SELECT IDTPGERACAOCONT
        INTO V_IDTPGERACAOCONT
        FROM PARAMCTBL;
   EXCEPTION
    WHEN NO_DATA_FOUND THEN
      V_IDTPGERACAOCONT := NULL;
   END;

   IF V_IDTPGERACAOCONT <> 'O' THEN

      BEGIN
         SELECT DTINICCTBL, DTFINACCTBL
           INTO V_DTINICCTBL, V_DTFINACCTBL
           FROM CONTOPECTBL
          WHERE CDEMPRESA = :OLD.CDEMPRESA;
      EXCEPTION
        WHEN NO_DATA_FOUND THEN
         V_DTINICCTBL := NULL;
         V_DTFINACCTBL := NULL;
      END;

      IF DELETING THEN
         IF :OLD.DTBAIXAREC >= V_DTINICCTBL AND :OLD.DTBAIXAREC <= V_DTFINACCTBL THEN
            /* SELECT PARA SABER QUAL REGISTRO LANCLOTE*/
            BEGIN
               SELECT MAX(CDLOTE) AS CDLOTE, MAX(NRLANCLOTE) AS NRLANCLOTE
                 INTO V_CDLOTE, V_NRLANCLOTE
                 FROM RELACBRECLANLOT
                WHERE  CDFILIAL = :OLD.CDFILIAL
                  AND  NRBAIXAREC = :OLD.NRBAIXAREC;
            EXCEPTION
               WHEN NO_DATA_FOUND THEN
                 V_CDLOTE := NULL;
                 V_NRLANCLOTE := NULL;
            END;

            /* DELETA O LANCLOTE DA BAIXA*/

            DELETE FROM RELACBRECLANLOT
             WHERE CDEMPRESA = :OLD.CDEMPRESA
               AND NRLANCLOTE = V_NRLANCLOTE
               AND CDFILIAL = :OLD.CDFILIAL
               AND NRBAIXAREC = :OLD.NRBAIXAREC;

            DELETE FROM LANCLOTE
             WHERE CDEMPRESA = :OLD.CDEMPRESA
               AND CDLOTE = V_CDLOTE
               AND NRLANCLOTE = V_NRLANCLOTE;

            REVERTE_LOTE(:OLD.CDEMPRESA,V_CDLOTE);
         ELSE
            RAISE_APPLICATION_ERROR(-20501,'Excluso no permitida, data da baixa a receber fora do perodo de integrao financeiro.',True);
         END IF;
      END IF;
   END IF;
END;
/


